/* Style sheet for kolomna-trams.ru v.3 (main) */
/* by Dmitry Balabanov */

:root {
	--page-footer-margin: 14px;

	--trams-serif-font-family: 'Lora', serif;
	--trams-sans-font-family: 'Source Sans 3', sans-serif;
	--trams-tablet-title-font-size: 24px;
	--trams-desktop-article-font-size: 22px;
	--trams-desktop-text-font-size: 20px;
	--trams-tablet-text-font-size: 18px;
	--trams-desktop-subscription-font-size: 14px;
	--trams-link-color: #0080FF;
	--trams-link-underline-color: rgba(0,128,255,.4); 
	--trams-link-hover-color: #F38625;
	--trams-link-hover-underline-color: rgba(243,134,37,.4);
	--trams-pop-up-color: hsla(0, 0%, 98%, 1);
	--trams-dark-gray: #333;
	--trams-very-dark-gray: #222;
	--trams-light-gray: #aaa;
	--trams-white: #fff;
	--trams-black: #000;

	--trams-line-height-link: 1.8;
	--trams-line-height-title: 1.1;
}

body {
	margin: 0;
	font-family: var(--trams-serif-font-family);

	font-size: 15px;
	line-height: 1.6;
	color: var(--trams-dark-gray);

	display: flex;
	flex-direction: column;
	height: 100vh;
}

*,
*:before,
*:after {
	box-sizing: border-box;
}


/* Header-class */
.trams-v3-header {
	width: 100%;
	max-width: 100vw;
	
	/*margin: 0 auto;*/
	position: fixed;

	z-index: 5;
}


/* Headers wrapper */
.trams-v3-header-wrapper, .trams-v3-subheader-wrapper {
	width: 100%;
	margin: 0 auto;
}

.trams-v3-header-wrapper {
	padding: 0 8px;
	background-color: var(--trams-very-dark-gray);
	position: relative;
}

.trams-v3-subheader-wrapper {
	padding: 0 3px;
	background: linear-gradient(to right, #e1e1f3, #e5f1dd);
}


/* Header container for components */
.trams-v3-header-container {
	width: 100%;
	max-width: 1300px;
	margin: 0 auto;
	display: flex;
	justify-content: space-between;
	align-items: center;
}


/* Navigation */
.trams-v3-nav {
	width: 100%;
	display: flex;
	justify-content: center;
	font-size: 22px;
	font-family: var(--trams-sans-font-family);
}


/* Nav element (text + menu) */
.trams-v3-nav-item {
	display: flex;
	flex-direction: column;
	align-items: center;

	cursor: pointer;
	height: 100%;
	
	position: relative;
}


/* Navigation items (clickable) */
.trams-v3-nav-link, .trams-v3-subnav-link {
	display: inline-block;
	vertical-align: top;
	position: relative;

	padding-left: 9px;
	padding-right: 9px;
	border-radius: 4px;

	text-decoration: none;

	transition: color 0.15s linear;
	transition: background-color .5s cubic-bezier(0.28, 0.72, 0.35, 0.86);
}

.trams-v3-nav-imglink {
	height: 100%;
    padding: 12px 20px;
}

.trams-v3-nav-link {
	margin: 0;
}

.trams-v3-subnav-link, .trams-v3-subnav-link-current {
	/* margin: 0 6px; */
	padding: 3px 6px;
}

.trams-v3-nav-link {
	color: var(--trams-white);
}

.trams-v3-subnav-link {
	color: var(--trams-black);
}

.trams-v3-nav-link div, .trams-v3-nav-link-current div {
	padding: 0 9px;
    border-radius: 4px;
	transition: background-color .5s cubic-bezier(0.28, 0.72, 0.35, 0.86);
}

.trams-v3-nav-link:hover div{
	/* background-color: #444; */
	background-color: #ffffff1f;
}

.trams-v3-subnav-link div, .trams-v3-subnav-link-current div{
	border-radius: 4px;
    padding: 0 9px;
}

.trams-v3-subnav-link:hover div{
	background-color: #0000001f;
	transition: background-color .5s cubic-bezier(0.28, 0.72, 0.35, 0.86);
}

.trams-v3-nav-link, .trams-v3-nav-link-current {
	padding: 8px 9px;
}


/* Navigation item (non-clickable) */
.trams-v3-nav-link-current, .trams-v3-subnav-link-current {
	display: inline-block;
	vertical-align: top;
	/* margin: 0 6px; */
	position: relative;

	text-decoration: none;

	cursor: text;

	transition: color 0.15s linear;
	transition: background-color .5s cubic-bezier(0.28, 0.72, 0.35, 0.86);
}

.trams-v3-nav-link-current {
	color: #777;
}

.trams-v3-subnav-link-current {
	color: #aaa;
}

.trams-v3-nav-link-parent, .trams-v3-subnav-link-parent {
	display: inline-block;
	vertical-align: top;
	margin: 0 6px;
	position: relative;

	padding-left: 9px;
	padding-right: 9px;
	border-radius: 4px;
	color: #777;

	text-decoration: none;

	transition: color 0.15s linear;
	transition: background-color .5s cubic-bezier(0.28, 0.72, 0.35, 0.86);
}

.trams-v3-nav-link-parent:hover{
	background-color: #444;
}

.trams-v3-nav-item:hover .trams-v3-nav-item-subitems {
	opacity: 1;
	visibility: visible;
}

.trams-v3-nav-item:active .trams-v3-nav-item-subitems {
	opacity: 1;
	visibility: visible;
}

.trams-v3-nav-item-subitems {
	position: absolute;
	top: 35px;
	left: 6px;
	background-color: #444;
	border-radius: 4px;

	opacity: 0;
	visibility: hidden;
}

.trams-v3-nav-item-subitems menu {
	list-style: none;
	padding: 0 0;
	margin: 0;
}

@media (hover: hover) {
	.trams-v3-nav-item-subitems menu li:first-child {
		display: none;
	}
}

@media (hover: none) {
	.trams-v3-nav-link-parent {
		
	}
}

.trams-v3-nav-item-subitems menu li {
	padding: 0 6px;
	margin: 0;
	border-radius: 4px;
}

.trams-v3-nav-item-subitems menu li:hover {
	background-color: #666;
}

.trams-v3-nav-item-subitems menu li a {
	font-size: 22px;
	text-decoration: none;
	color: #fff;

	padding: 0;
	margin: 0;
}


.trams-v3-nav-imglink-def {
	width: 21px; 
    height: 21px; 
	filter: grayscale(100%) contrast(500%);

	transition: filter 0.25s ease-out;
}

.trams-v3-nav-imglink:hover .trams-v3-nav-imglink-def {
    filter: grayscale(0%) contrast(100%);
}

@media only screen and (max-width: 425px) {
    .trams-v3-nav-imglink-def {
        width: 18px; 
        height: 18px;
    }
}


/* Tram icon */
.bumpleft {
    position: absolute;
    left: -5px;
}

@media only screen and (max-width: 425px) {
    .bumpleft {
        position: static;
    }
	.bumpleft .trams-v3-nav-imglink {
		padding: 8px 10px;
		transform: none;
	}

	.bumpleft .trams-v3-nav-imglink-def {
		transform: translateY(2px);
	}
}

@media only screen and (max-width: 455px) {
	.trams-v3-nav {
		font-size: 20px;
	}
	.trams-v3-nav-link, .trams-v3-nav-link-current {
		padding: 8px 5px;
	}
	.trams-v3-subnav-link, .trams-v3-subnav-link-current {
		padding: 3px 3px;
	}
	.trams-v3-nav-imglink {
		padding: 11px 20px;
	}
	.trams-v3-nav-imglink-def {
		width: 19px;
    	height: 19px;
	}
}

@media only screen and (max-width: 400px) {
	.trams-v3-nav {
		font-size: 18px;
	}
	.trams-v3-nav-link, .trams-v3-nav-link-current {
		padding: 8px 1px;
	}
	.trams-v3-subnav-link, .trams-v3-subnav-link-current {
		padding: 3px 1px;
	}
	.trams-v3-nav-imglink {
		padding: 8px 20px;
	}
	.trams-v3-nav-imglink-def {
		width: 18px;
    	height: 18px;
	}
}


.trams-v3-article-li {
	font-family: var(--trams-serif-font-family);
	font-weight: 400;
	font-size: 22px;

	margin-top: 0px;
	margin-bottom: 0px;
}

.trams-v3-article-li::before {
	content: "—";
}


.trams-v3-article-link {
	font-family: var(--trams-serif-font-family);
	text-decoration: none;
	color: var(--trams-link-color);
	border-bottom: 1px solid var(--trams-link-underline-color);
	font-weight: 400;
}

.trams-v3-article-link:hover {
	color: var(--trams-link-hover-color);
	border-bottom: 1px solid var(--trams-link-hover-underline-color);
}


/* This is footer-class */
.trams-v3-footer {
	width: 100%;
	padding: 14px;
	margin: 0 auto;
	margin-top: 20px;
	background-color: var(--trams-very-dark-gray);
	z-index: 3;

	flex: 0 0 auto;
}
@media only screen and (max-width: 550px) {
	.trams-v3-footer {
		padding-bottom: var(--page-footer-margin);
	}
}


/* Footer container */
.trams-v3-footer-container {
	width: 100%;
	max-width: 1300px;
	margin: 0 auto;
}

/* Text in footer */
.trams-v3-footer-container p {
	color: #fff;
	margin: 0 auto;
	text-align: center;
	font-size: 18px;
	line-height: 1.4;

	font-family: var(--trams-sans-font-family);
}

@media only screen and (max-width: 900px) {
	.trams-v3-footer-container p {
		font-size: 16px;
	}
}

/* Link in footer */
.trams-v3-footer-container p a {
	color: #acf;
	text-decoration: none;
	border-bottom: 1px solid #acf;

	white-space: nowrap;
}

/* Link hover */
.trams-v3-footer-container p a:hover {
	color: #fca;
	border-bottom: 1px solid #fca;
}


.trams-v3-footer-arm {
	width: 60px;
	height: 70px;
}


/* Sorting bar */
.trams-v3-switcher {
	display: flex;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap;

	margin-bottom: 2em;
}


/* Sorting nav tab */
.trams-v3-switcher-item {
	cursor: pointer;
}

.trams-v3-switcher-item, .trams-v3-switcher-item-selected {
	color: #000;
	font-size: 18px;
	font-weight: 500;
	text-decoration: none;
	background-color: #ddd;
	padding: 2px 9px;

	font-family: var(--trams-sans-font-family);
}

.trams-v3-switcher-item:hover {
	color: #000;
	background-color: #ccc;
}

.trams-v3-switcher-item-selected {
	background-color: #bcd;
}

.trams-v3-switcher-search-item {
	height: 32.8px;
    display: flex;
    margin-left: 1em;
	width: 285px;
}

.trams-v3-switcher-search-item img {
	display: block;
}

.trams-v3-switcher-search-item input {
	outline: none;
    border: none;
    border-bottom: 1px solid #333;
	border-radius: 0;
    /* width: 260px; */
	width: calc(100% - 25px);
    font-family: var(--trams-sans-font-family);
    font-size: 18px;
	display: block;
}

@media only screen and (max-width: 603px) {
	.trams-v3-switcher-search-item {
		margin-left: 0;
		width: 75%;
		max-width: 235px;
	}

	.trams-v3-switcher-search-item input {
		/* width: auto; */
		width: calc(100% - 25px);
	}
}

.trams-v3-route-search-results {
	/* height: 30px; */
    /* width: 350px; */
    margin: 0 auto;
	overflow-wrap: anywhere;
	word-break: break-word;
	max-width: 1400px;
}



/* Digit in tab */
.trams-v3-switcher-item span, .trams-v3-switcher-item-selected span {
	color: #666;
	font-size: 16px;
	font-weight: 300;
	text-decoration: none;
	margin-left: 6px;

	font-family: var(--trams-sans-font-family);
}


/* Dashed link */
.trams-dash_link {
	text-decoration: none;
	color: var(--trams-link-color);
	border-bottom: 1px dashed var(--trams-link-underline-color);
	cursor: pointer;
	margin-right: 12px;
}

.trams-dash_link:hover {
	color: var(--trams-link-hover-color);
	border-bottom: 1px dashed var(--trams-link-hover-underline-color);
	cursor: pointer;
}


/* Link */
.trams-link {
	text-decoration: none;
	color: var(--trams-link-color);
	border-bottom: 1px solid var(--trams-link-underline-color);
	cursor: pointer;
	white-space: nowrap;
	margin-right: 12px;
}

.trams-link:hover {
	color: var(--trams-link-hover-color);
	border-bottom: 1px solid var(--trams-link-hover-underline-color);
	cursor: pointer;
}


.trams-dash_arrow {
	height: .8em;
}


.trams-pseudo-button {
	text-decoration: none;
}

.trams-v3-article-p {
	font-family: var(--trams-serif-font-family);
	font-weight: 400;
	font-size: 22px;

	margin-top: 0px;
	margin-bottom: .8em;
}

/* Article style */
.trams-v3-article-subtitle {
	font-family: var(--trams-serif-font-family);
	font-weight: 700;
	font-size: 23px;
	margin-bottom: 0px;
	margin-top: 25px;
}

.trams-v3-article-big-subtitle {
	font-family: var(--trams-serif-font-family);
    font-weight: 500;
    font-size: 32px;
    margin-bottom: 1em;
    margin-top: 1.5em;
    line-height: 1.25;
}

.trams-v3-article-image-screenshot-wrapper {
	display: flex;
	justify-content: center;
}

.trams-v3-article-image-screenshot-wrapper img {
	max-height: 50vh;
	max-width: 100%;
}

@media only screen and (max-width: 900px) {
	.trams-v3-article-subtitle {
		font-size: 19px;
		margin-top: 25px;
	}

	.trams-v3-article-p {
		font-size: 18px;
	}

	.trams-v3-feedback-p {
		font-size: 18px;
	}

	.trams-v3-article-li {
		font-size: 18px;
	}

	.bul {
		font-size: 18px;
	}

	.trams-v3-article-big-subtitle {
		font-size: 30px;
	}
}
@media only screen and (max-width: 700px) {
	.trams-v3-article-big-subtitle {
		font-size: 28px;
	}
}
@media only screen and (max-width: 500px) {
	.trams-v3-article-big-subtitle {
		font-size: 26px;
	}
}

/* Content */
.trams-v3-content {
	display: flex;
	justify-content: center;
	width: 100%;
	background-color: #fff;
	padding-bottom: 0px;
	padding-top: 95px;

	flex: 1 0 auto;
}


/* Main header */
.trams-v3-article-title {
	font-size: 40px;
	text-align: center;
	font-weight: 400;
	line-height: 1.2;

	margin-bottom: 60px;
}

@media only screen and (max-width: 700px) {
	.trams-v3-article-title {
		font-size: 35px;
		margin-bottom: 70px;
	}
}

.trams-v3-container {
	width: 100%;
	max-width: 1100px;
	margin: 0 auto;
}

@media only screen and (max-width: 1380px)  {
	.trams-v3-container {
		width: 95%;
	}
}


.trams-v3-toggle-switch {
	position: relative;
	display: inline-block;
	width: 40px;
	height: 15px;

	margin-top: 10px;
}
  
.trams-v3-toggle-switch input {
	opacity: 0;
	width: 0;
	height: 0;
}
  
.trams-v3-toggle-slider {
	position: absolute;
	cursor: pointer;
	border-radius: 34px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #ccc;
	transition: .4s;
}
  
.trams-v3-toggle-slider:before {
	position: absolute;
	content: "";
	height: 11px;
	width: 11px;
	left: 3px;
	bottom: 2px;
	background-color: white;
	border-radius: 50%;
	transition: .4s;
}
  
.trams-v3-toggle-switch input:checked + .trams-v3-toggle-slider {
	background-color: #2196F3;
}
  
.trams-v3-toggle-switch input:focus + .trams-v3-toggle-slider {
	box-shadow: 0 0 1px #2196F3;
}
  
.trams-v3-toggle-switch input:checked + .trams-v3-toggle-slider:before {
	transform: translateX(22px);
}

.trams-v3-toggle-slider-label {
	position: absolute;
	top: 0;
	bottom: 0;
	margin: auto;
	left: 50px;
	right: 0;
	color: var(--trams-dark-gray);
	white-space: nowrap;

	font-size: 15px;
	font-family: var(--trams-sans-font-family);
	line-height: 1;
}

.trams-v3-article-simple-images-block {
	display: flex;
	margin-bottom: 1em;
	background-color: #fbf9e7;
	padding: 10px;
	overflow-y: auto;
}

.trams-v3-article-simple-images-block-wrapper {
	/* height: 100%; */
}

.trams-v3-article-simple-images-block-image {
	margin-right: 15px;
}

.trams-v3-article-simple-images-block-image img {
	height: 40vh;
}
@media only screen and (max-width: 500px) {
	.trams-v3-article-simple-images-block-image img {
		height: auto;
		width: 90vw;
	}
}

.trams-v3-article-simple-images-black-label {
	font-family: var(--trams-sans-font-family);
	font-size: 15px;
	line-height: 1.15;
}